<template>
  <div id="main">
    <div class="bg-color-black">
      <div class="d-flex pt-2 pl-2">
        <span>
          <icon name="chart-line" style="background-color: #c3cbde" class="text-icon"></icon>
        </span>
        <div class="d-flex">
          <span class="fs-xl text mx-2">物料剩余</span>
        </div>
      </div>
      <dv-scroll-ranking-board class="dv-scr-rank-board mt-1" :config="ranking" />
      <dv-scroll-board class="dv-scr-board" :config="config" ifBorderBottom />

    </div>
  </div>
</template>

<script>

export default {
  name: "left",
  data() {
    return {
      value:'',
      config: {
        header: ['工位', '油脂到期', '剩余天数'],
        data: [
          ['<span style=\'font-size: 20px\'>DOP020</span>', '<span style=\'font-size: 20px\'>20241211</span>', '<span style=\'font-size: 20px\'>365</span>'],
          ['<span style=\'font-size: 20px\'>OP050</span>', '<span style=\'font-size: 20px\'>20241211</span>', '<span style=\'font-size: 20px\'>365</span>',],
          ['<span style=\'font-size: 20px\'>BOP30/40</span>', '<span style=\'font-size: 20px\'>20241211</span>', '<span style=\'font-size: 20px\'>365</span>'],
        ],
        rowNum: 7, //表格行数
        headerHeight: 35,
        headerBGC: '#0f1325', //表头
        oddRowBGC: '#0f1325', //奇数行
        evenRowBGC: '#171c33', //偶数行
        index: true,
        columnWidth: [20],
        align: ['center'],
      },
      ranking: {
        data: [
          {
            name: '扭力传感器',
            value: 0
          },
          {
            name: 'PCB板',
            value: 0
          },
          {
            name: '齿轮盖组件',
            value: 0
          },
          {
            name: '左壳体',
            value: 0
          },
          {
            name: '齿轮盖',
            value: 0
          },
          {
            name: '右壳体',
            value: 0
          },
          {
            name: '牙盘承座组件',
            value: 0
          },
          {
            name: '牙盘承座',
            value: 0
          },
          {
            name: 'NK172312滚针轴承',
            value: 0
          },
          {
            name: '自润滑轴承',
            value: 0
          },
          {
            name: '双唇油封',
            value: 0
          },
          {
            name: '超越离合器',
            value: 0
          },
          {
            name: '输出齿轮',
            value: 0
          },
          {
            name: 'C29挡圈',
            value: 0
          },
          {
            name: '右导热硅胶片',
            value: 0
          },
          {
            name: '左壳体总成',
            value: 0
          }
        ],
        carousel: 'single',
        unit: '个'
      },
    }
  },
  mounted() {
    this.tops();
    this.changeTiming();
    // this.$bus.$on('refresh-components', (value) => {
    //   // 刷新初始化方法
    //   this.value = value;
    //   this.tops();
    // })
  },
  methods: {
    tops(){
      this.$http.get('http://127.0.0.1:8080/greaseBoard/bigListGreaseBoard')
      // this.$http.get('http://172.20.1.10:8080/greaseBoard/bigListGreaseBoard')
          .then((response)=>{
            this.config = {
              header: ['工位', '到期时间', '剩余天数'],
              data:  response.data.data,
              rowNum: 7, //表格行数
              headerHeight: 35,
              headerBGC: '#0f1325', //表头
              oddRowBGC: '#0f1325', //奇数行
              evenRowBGC: '#171c33', //偶数行
              index: true,
              columnWidth: [20],
              align: ['center'],
            }
            console.log(response.data.data)
          })
    },
    changeTiming() {
      setInterval(() => {
        this.tops();
      }, 6000)
    },
  }
}
</script>

<style lang="scss" scoped>
$box-width: 450px;
$box-height: 710px;
#main {
  padding: 5px;
  height: $box-height;
  width: $box-width;
  border-radius: 10px;
}
.bg-color-black{
  //margin-left: 12px;
  //height: 710px;
  height: 470px;
  width: 365px;
}
.text {
  color: #c3cbde;
  font-size: 20px;
  margin-top: -1px;
}
//.dv-scr-board{
  .row-item{
    border-bottom: 3px solid #00BAFF;
  }
//}


</style>